with binds as
( select 'MM' zoom_level
  from   dual
)  
select deptno
,      count(empno) number_of_resources
,      trunc(hiredate,binds.zoom_level) period_start_date
from   emp
       cross join
       binds
group by deptno, trunc(hiredate,binds.zoom_level)



with binds as
( select 'Y' zoom_level
  from   dual
)  
select deptno
,      count(empno) number_of_resources
,      case binds.zoom_level
       when 'M' then trunc(hiredate,'MM')
       when 'Q' then trunc(hiredate,'Q')
       when 'Y' then trunc(hiredate,'YY')
       else hiredate 
       end  period_start_date
from   emp
       cross join
       binds
group by deptno, case binds.zoom_level
       when 'M' then trunc(hiredate,'MM')
       when 'Q' then trunc(hiredate,'Q')
       when 'Y' then trunc(hiredate,'YY')
       else hiredate 
       end