package nl.amis.gantt.hr.view;

import java.util.Map;

import javax.faces.event.ValueChangeEvent;

import oracle.adf.model.BindingContext;
import oracle.adf.model.binding.DCBindingContainer;
import oracle.adf.view.faces.bi.component.gantt.UIGantt;
import oracle.adf.view.rich.context.AdfFacesContext;

import oracle.jbo.uicli.binding.JUCtrlActionBinding;


public class GanttBean {
    
    private UIGantt theGantt;
    private String zoomLevel="MM";

    public void setTheGantt(UIGantt theGantt) {
        this.theGantt = theGantt;
    }

    public UIGantt getTheGantt() {
        return theGantt;
    }

    public String getMajorTimeAxis() {
        return "YY".equals(zoomLevel)?"twoyears":"Q".equals(zoomLevel)?"years":"years";
    }
    public String getMinorTimeAxis() {
        return "YY".equals(zoomLevel)?"years":"Q".equals(zoomLevel)?"quarters":"months";
        
    }


    public void handleZoomLevelChange(ValueChangeEvent valueChangeEvent) {
        // Add event code here...
        String newZoomLevel = (String)valueChangeEvent.getNewValue();
      //  zoomLevel = newZoomLevel;
        DCBindingContainer bindings = (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry();
        JUCtrlActionBinding method = (JUCtrlActionBinding)bindings.findCtrlBinding("setZoomLevel");
        Map paramsMap = method.getParamsMap();
        paramsMap.put("newZoomlevel",newZoomLevel   )  ;  
        method.execute();
        AdfFacesContext.getCurrentInstance().addPartialTarget(theGantt);
    }

    public void setZoomLevel(String zoomLevel) {
        this.zoomLevel = zoomLevel;
    }

    public String getZoomLevel() {
        return zoomLevel;
    }
}
